Name:          ocaml-topkg
Version:       1.0.8
Release:       1mamba
Summary:       The transitory OCaml software packager
Group:         System/Libraries/OCaml
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://erratique.ch/software/topkg
Source:        https://github.com/dbuenzli/topkg.git/v%{version}/topkg-%{version}.tar.bz2
License:       ISC License
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: ocaml-runtime
## AUTOBUILDREQ-END
BuildRequires: ocaml >= 4.14.1
BuildRequires: opam
BuildRequires: ocaml-result >= 1.4-2mamba
Requires:      ocaml-result
Requires:      ocaml

%description
The transitory OCaml software packager.

%define debug_package %{nil}

%prep
%setup -q -n topkg-%{version}

%build
pkg/pkg.ml build --pkg-name topkg

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
opam-installer \
  --prefix=%{buildroot}%{_prefix} \
  --libdir=%{buildroot}$(ocamlc -where) \
  --docdir=%{buildroot}%{_docdir}

install -dm755 %{buildroot}%{_datadir}/licenses/ocaml-topkg
mv %{buildroot}%{_docdir}/topkg/LICENSE.md %{buildroot}%{_datadir}/licenses/ocaml-topkg/LICENSE.md

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%dir %{_libdir}/ocaml/topkg
%{_libdir}/ocaml/topkg/*
%dir %{_datadir}/doc/topkg
%{_datadir}/doc/topkg/*
%{_datadir}/licenses/ocaml-topkg/LICENSE.md

%changelog
* Sun Mar 16 2025 Automatic Build System <autodist@openmamba.org> 1.0.8-1mamba
- automatic version update by autodist

* Thu Jul 06 2023 Sdk Build System <sdk@mambasoft.it> 1.0.7-2mamba
- rebuilt with ocaml 4.14.1

* Mon Jan 23 2023 Automatic Build System <autodist@mambasoft.it> 1.0.7-1mamba
- automatic version update by autodist

* Tue Nov 08 2022 Automatic Build System <autodist@mambasoft.it> 1.0.6-1mamba
- automatic version update by autodist

* Wed Feb 02 2022 Automatic Build System <autodist@mambasoft.it> 1.0.5-1mamba
- automatic version update by autodist

* Mon Oct 11 2021 Automatic Build System <autodist@mambasoft.it> 1.0.4-1mamba
- automatic version update by autodist

* Thu Jan 21 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0.3-1mamba
- update to 1.0.3

* Fri Jul 31 2020 Automatic Build System <autodist@mambasoft.it> 1.0.2-1mamba
- automatic version update by autodist

* Mon Dec 30 2019 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0.1-2mamba
- rebuilt with ocaml-result 1.4-2mamba

* Thu Aug 29 2019 Automatic Build System <autodist@mambasoft.it> 1.0.1-1mamba
- automatic version update by autodist

* Sun May 05 2019 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0.0-1mamba
- package created using the webbuild interface
